function plotAFS(Empty_Button,AxesAFS)

data = get(Empty_Button,'UserData');


hold(AxesAFS,'off');
plot(AxesAFS,0,0,'w');
hold(AxesAFS,'on');
axes(AxesAFS);




if data.scalBorg==1

plot(data.FP_B([1:end 1],1),data.FP_B([1:end 1],2),'Color',[1 1 1]*0.8);
plot(data.IP_B([1:end 1],1),data.IP_B([1:end 1],2),'Color',[1 1 1]*0.8);




if data.numb_seg==3
    
    fill(data.segments_B{1}([1:end 1],1),data.segments_B{1}([1:end 1],2),[0.8 0.8 1])
    plot(data.segments_B{1}([1:end 1],1),data.segments_B{1}([1:end 1],2),'Color',[0 0 1],'LineWidth',2);
    fill(data.segments_B{2}([1:end 1],1),data.segments_B{2}([1:end 1],2),[0.8 1 0.8])
    plot(data.segments_B{2}([1:end 1],1),data.segments_B{2}([1:end 1],2),'Color',[0 0.5 0],'LineWidth',2);
    fill(data.segments_B{3}([1:end 1],1),data.segments_B{3}([1:end 1],2),[1 0.8 0.8])
    plot(data.segments_B{3}([1:end 1],1),data.segments_B{3}([1:end 1],2),'Color',[1 0 0],'LineWidth',2);
     


elseif data.numb_seg==1
    fill(data.FP_B([1:end 1],1), data.FP_B([1:end 1],2),[1 1 1]*0.75);
    fill(data.Tbnd_B([1:end 1],1), data.Tbnd_B([1:end 1],2),[1 1 1]);
    plot(data.Tbnd_B([1:end 1],1), data.Tbnd_B([1:end 1],2),'Color',[1 1 1]*0.4,'LineWidth',2);
    plot(data.IP_B([1:end 1],1),data.IP_B([1:end 1],2),'Color',[1 1 1]*0.8);
else
    for i=1:data.numb_seg
        fill(data.segments_B{i}([1:end 1],1),data.segments_B{i}([1:end 1],2), [1 1 1]*0.75);
        plot(data.segments_B{i}([1:end 1],1),data.segments_B{i}([1:end 1],2), 'Color',[1 1 1]*0.4,'LineWidth',2)
    end


end

   k=size(data.D_scal,1);
    for i=1:k
        if max(data.D0(i,:))>1.0e-14
        plot(data.D_scal(i,:)*data.V_scal(:,2),data.D_scal(i,:)*data.V_scal(:,3),'o','Color',[1 1 1]*0.8);
        end
    end



if (isfield(data,'isExpert1')==1 && data.isExpert1==1)
    plot(AxesAFS,data.FixPoint1_B(1),data.FixPoint1_B(2),'kx','Linewidth',2);
end
if (isfield(data,'isExpert2')==1 && data.isExpert2==1)
            
   plot(AxesAFS,data.FixPoint2_B(1),data.FixPoint2_B(2),'ko','Linewidth',2);
end    



axis(AxesAFS,'tight');
yl = get(AxesAFS,'ylim');
xl = get(AxesAFS,'xlim');
ym = max(abs(yl));
xm = max(abs(xl));
set(AxesAFS,'ylim',[yl(1)*1.1, yl(2)*1.1]);
set(AxesAFS,'xlim',[xl(1)*1.1, xl(2)*1.1]);
set(Empty_Button,'UserData',data)


%% computation for F-scaling
else

plot(data.FP_SV([1:end 1],1),data.FP_SV([1:end 1],2),'Color',[1 1 1]*0.8);
plot(data.IP_SV([1:end 1],1),data.IP_SV([1:end 1],2),'Color',[1 1 1]*0.8);

if data.numb_seg==3

     
    
      fill(data.segments_SV{1}([1:end 1],1),data.segments_SV{1}([1:end 1],2),[0.8 0.8 1])
    plot(data.segments_SV{1}([1:end 1],1),data.segments_SV{1}([1:end 1],2),'Color',[0 0 1],'LineWidth',2);
    fill(data.segments_SV{2}([1:end 1],1),data.segments_SV{2}([1:end 1],2),[0.8 1 0.8])
    plot(data.segments_SV{2}([1:end 1],1),data.segments_SV{2}([1:end 1],2),'Color',[0 0.5 0],'LineWidth',2);
    fill(data.segments_SV{3}([1:end 1],1),data.segments_SV{3}([1:end 1],2),[1 0.8 0.8])
    plot(data.segments_SV{3}([1:end 1],1),data.segments_SV{3}([1:end 1],2),'Color',[1 0 0],'LineWidth',2);
     



elseif data.numb_seg==1
    fill(data.FP_SV([1:end 1],1), data.FP_SV([1:end 1],2),[1 1 1]*0.75);
    fill(data.Tbnd_SV([1:end 1],1), data.Tbnd_SV([1:end 1],2),[1 1 1]);
    plot(data.Tbnd_SV([1:end 1],1), data.Tbnd_SV([1:end 1],2),'Color',[1 1 1]*0.4,'LineWidth',2);
    plot(data.IP_SV([1:end 1],1),data.IP_SV([1:end 1],2),'Color',[1 1 1]*0.8);
else 
    for i=1:data.numb_seg
        fill(data.segments_SV{i}([1:end 1],1),data.segments_SV{i}([1:end 1],2), [1 1 1]*0.75);
        plot(data.segments_SV{i}([1:end 1],1),data.segments_SV{i}([1:end 1],2), 'Color',[1 1 1]*0.4,'LineWidth',2)
    end


end


I=[];
    k=size(data.Dtrunc,1);
    for i=1:k
        if max(data.D0(i,:))>1.0e-14 && data.Dtrunc(i,:)*data.Vraw(:,1)>1.0e-14
        plot(data.Dtrunc(i,:)*data.Vraw(:,2)/(data.Dtrunc(i,:)*data.Vraw(:,1)), data.Dtrunc(i,:)*data.Vraw(:,3)/(data.Dtrunc(i,:)*data.Vraw(:,1)),'o','Color',[1 1 1]*0.8);
        end

        if max(data.Dtrunc(i,:))>3.0e-3 && min(data.Dtrunc(i,:))/max(abs(data.Dtrunc(i,:)))>-0.1

            I=[I,i];
        end
    end
    AFS_C=data.segments_SV;
    Dmax=2.0e-3;
    epsC=data.EPSc;
    epsA=data.EPSa;
    save('GBP_err0p0015','AFS_C','Dmax','epsC','epsA','I');



if (isfield(data,'isExpert1')==1 && data.isExpert1==1)
    plot(AxesAFS,data.FixPoint1_SV(1),data.FixPoint1_SV(2),'kx','Linewidth',2);
end
if (isfield(data,'isExpert2')==1 && data.isExpert2==1)
            
   plot(AxesAFS,data.FixPoint2_SV(1),data.FixPoint2_SV(2),'ko','Linewidth',2);
end    
axis(AxesAFS,'tight');
yl = get(AxesAFS,'ylim');
xl = get(AxesAFS,'xlim');
ym = max(abs(yl));
xm = max(abs(xl));
set(AxesAFS,'ylim',[yl(1)-0.1*ym, yl(2)+0.1*ym]);
set(AxesAFS,'xlim',[xl(1)-0.1*xm, xl(2)+0.1*xm]);
set(Empty_Button,'UserData',data)




end